package com.yeejoin.amos.api.householdapi.constant;

import java.util.HashMap;

/**
 * 北向-华为常量
 */
public class ImasterConstant {

    public static final HashMap<String, String> stationStaus = new HashMap<String, String>() {
        {
            put("1", "离线");
            put("2", "报警");
            put("3", "在线");
        }
    };

    public static final HashMap<String, String> inverterStaus = new HashMap<String, String>() {
        {
            put("0", "离线");
            put("1", "在线");
        }
    };

    public static final HashMap<String, String> alarmstatus = new HashMap<String, String>() {
        {
            put("1", "未处理");

        }
    };

    public static final HashMap<String, String> alarmLevel = new HashMap<String, String>() {
        {
            put("1", "严重");
            put("2", "重要");
            put("3", "次要");
            put("4", "提示");
        }
    };

    public static final HashMap<String, Double> Capacity = new HashMap<String, Double>() {
        {
            put("NB01",125440D/1000);
            put("NB02",123200D/1000);
            put("NB03",123200D/1000);
            put("NB04",131040D/1000);
            put("NB05",115360D/1000);
            put("NB06",123200D/1000);
            put("NB07",123200D/1000);
            put("NB08",122080D/1000);
            put("NB09",116480D/1000);
            put("NB10",125440D/1000);
            put("NB11",119840D/1000);
            put("NB12",123200D/1000);
            put("NB13",136080D/1000);
            put("NB14",127680D/1000);
        }
    };




    public static String baseurl ="https://cn.fusionsolar.huawei.com";
    public static String account ="ahsjmg-API";
    public static String password ="huawei123";
//    public static String account ="xtt163";
//    public static String password ="a1234560";
    public static String tokenUrl ="/thirdData/login";


    public static String requestPOST="POST";
    public static String requestGET="GET";
    public static String stationListUrl="/thirdData/stations";
    public static String stationDetailUrl = "/thirdData/getStationRealKpi";
    public static String stationDetailMonthUrl = "/thirdData/getKpiStationMonth";
    public static String stationDetailYearUrl = "/thirdData/getKpiStationYear";
    public static String collectorListUrl = "/thirdData/getDevList";
    public static String collectorDetailUrl = "/thirdData/getDevRealKpi";
    public static String collectorDetailMonthUrl = "/thirdData/getDevKpiMonth";
    public static String collectorDetailYearUrl = "/thirdData/getDevKpiYear";
    public static String alarmListUrl = "/thirdData/getAlarmList";
    public static String resovleRule_data_page_records = "data";
    public static String resovle_rows="rows";
    public static int devTypeC=62;
    public static int devTypeI=1;
    public static Double kwhToMwh = 0.0001;

}
